package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.BGYPSQMXMapper;
import com.sa.ibiz.demo.demo.domain.BGYPSQMX;
import com.sa.ibiz.demo.demo.service.BGYPSQMXService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.BGYPSQMXSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.BGYPSQService;
import com.sa.ibiz.demo.demo.service.BGYPService;

/**
 * 实体[BGYPSQMX] 服务对象接口实现
 */
@Service
public class BGYPSQMXServiceImpl extends ServiceImplBase<BGYPSQMXMapper, BGYPSQMX> implements BGYPSQMXService{

    @Autowired
    private BGYPSQService bgypsqService;
    @Autowired
    private BGYPService bgypService;

    @Resource
    private BGYPSQMXMapper bgypsqmxMapper;


    @Override
    public boolean create(BGYPSQMX et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(BGYPSQMX et){
        this.beforeUpdate(et);
		this.bgypsqmxMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(BGYPSQMX et){
		return et.getBgypsqmxid();  
    }

    @Override
    public boolean getDraft(BGYPSQMX et)  {
    if((!StringUtils.isEmpty(et.getBgypsqid())) && et.getBgypsq() == null){
            try {
                et.setBgypsq(bgypsqService.getById(et.getBgypsqid()));
            }catch (Exception ex){}
        }
    if((!StringUtils.isEmpty(et.getBgypid())) && et.getBgyp() == null){
            try {
                et.setBgyp(bgypService.getById(et.getBgypid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<BGYPSQMX> listDefault(BGYPSQMXSearchFilter filter) {
		return bgypsqmxMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<BGYPSQMX> searchDefault(BGYPSQMXSearchFilter filter) {
		return bgypsqmxMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return bgypsqmxMapper.selectRow(sql);
    }

 }